Skip to main content
POST
/
candidate-portal
/
{candidateId}
Update candidate
curl --request POST \
  --url https://api.gospott.com/candidate-portal/{candidateId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "latestCvAttachmentId": "<string>",
  "emails": [
    {
      "purpose": "personal",
      "email": "jsmith@example.com",
      "isPrimary": true
    }
  ],
  "phoneNumbers": [
    {
      "purpose": "personal",
      "phoneNumber": "<string>",
      "isPrimary": true
    }
  ],
  "socialMedia": [
    {
      "type": "LINKEDIN",
      "url": "<string>",
      "isPrimary": true
    }
  ]
}
'

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

candidateId
string
required

Body

application/json
firstName
string
required
Required string length: 1 - 100
Pattern: /^[\p{L}\s\-'']+$/u
lastName
string
required
Required string length: 1 - 100
Pattern: /^[\p{L}\s\-'']+$/u
latestCvAttachmentId
string
Required string length: 1 - 100
emails
object[]
phoneNumbers
object[]
socialMedia
object[]

Response

204 - undefined